Subject: Re: Segfault with `M-- M-r' when `scroll-margin' > 0

From: martin rudalics <[email-masked]>
Date: Tue, 04 Nov 2008 08:36:16 +0100

> Interesting.  This bug appears to be due to an interaction between Emacs
 > and the window manager's size hints.  At least, I can't reproduce it
 > with the latest CVS changes from today, in which a correction has been
 > made to how Emacs sends size hints to the window manager:
 >
 > 2008-11-03  Chong Yidong  <[email-masked]>
 >
 > 	* term/x-win.el (x-initialize-window-system): Call
 > 	x-wm-set-size-hint after initialization.
 >
 > Could you see whether the problem is fixed for you?

Still crashes here.  But just before crashing, display of the center line
of the window gets garbled now.  So it appears related to these size hints.

martin